Bug 412975 - Convert sidebar into a flat list with headers so we never have empty tree view parent items that do nothing when clicked
Summary: Convert sidebar into a flat list with headers so we never have empty tree vie...
Status: RESOLVED FIXED
Alias: None
Product: kinfocenter
Classification: Unclassified
Component: general (show other bugs)
Version: 5.17.0
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Hubner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-15 16:02 UTC by Rainer Finke
Modified: 2020-01-28 15:38 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.19.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Finke 2019-10-15 16:02:43 UTC
If you click in kinfocenter on Device Information, Network Information or Graphical Information then nothing is happening, seems like these are just empty groups.

STEPS TO REPRODUCE
1. Open kinfocenter
2. Click on Device Information

OBSERVED RESULT: Nothing happens

EXPECTED RESULT: Something should happen, like expand group and show in the main page maybe some aggregated important information from the sub groups


SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.17.0
KDE Frameworks Version: 5.63.0
Qt Version: 5.14.0 beta
Kernel Version: 5.3.6-arch1-1-ARCH
OS Type: 64-bit
Wayland 1.17
Comment 1 Nate Graham 2019-10-16 22:51:22 UTC
This should probably use a flat list rather than a tree view, with the current top-level tree view categories being converted into headers. Basically it should look more like System Settings' sidebar.
Comment 2 Harald Sitter 2020-01-28 11:45:18 UTC
https://phabricator.kde.org/D26895
Comment 3 Marco Martin 2020-01-28 13:14:39 UTC
Git commit ca28b62000fff52df486fe05ff248018b0b16fc3 by Marco Martin.
Committed on 28/01/2020 at 13:14.
Pushed by mart into branch 'master'.

Introduce an Info Center mode

Summary:
withthe command line switch -i, start
systemsettings loading the KInfoCenter modules and hyerarchy instead.
* KAboutData and dbus service name will be the same of KInfoCenter
* The startup page is not shown but the "System Information" kcm is loaded instead
* KACtivityStats is disabled
* The home button will load the "System Information" kcm as well
* It will *always* be in sidebar mode regardless how systemsettings is configured
* Config dialog can't be open.

Test Plan:
* SystemSettings mode functionality didn't change
* infocenter mode is fully functional

{F7930943}

Reviewers: #plasma, davidedmundson

Reviewed By: #plasma, davidedmundson

Subscribers: meven, davidedmundson, broulik, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D26895

M  +56   -16   app/SettingsBase.cpp
M  +4    -1    app/SettingsBase.h
M  +44   -14   app/main.cpp
M  +10   -0    core/BaseData.cpp
M  +16   -0    core/BaseData.h
M  +17   -1    core/BaseMode.cpp
M  +23   -1    core/BaseMode.h
M  +3    -0    core/MenuItem.cpp
M  +17   -2    core/MenuModel.cpp
M  +2    -0    core/MenuModel.h
M  +47   -3    core/ModuleView.cpp
M  +42   -0    core/ModuleView.h
M  +2    -2    icons/IconMode.cpp
M  +38   -11   sidebar/SidebarMode.cpp
M  +1    -1    sidebar/SidebarMode.h

https://commits.kde.org/systemsettings/ca28b62000fff52df486fe05ff248018b0b16fc3